Bug 810070 - (CVE-2012-1987) CVE-2012-1987 puppet: Filebucket denial of service
CVE-2012-1987 puppet: Filebucket denial of service
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120410,reported=2...
: Security
Depends On: 811820 811821 812955 812956
Blocks: 810072 836071
  Show dependency treegraph
 
Reported: 2012-04-05 00:02 EDT by Kurt Seifried
Modified: 2012-12-11 04:25 EST (History)
5 users (show)

See Also:
Fixed In Version: puppet 2.6.15, puppet 2.7.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 04:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-04-05 00:02:18 EDT
From Matthaus Litteken <matthaus@puppetlabs.com>:

CVE-2012-1987 (Moderate) [#13552,#13553] - Filebucket denial of service
By constructing a marshaled form of a Puppet::FileBucket::File object 
a user can cause it it to be written to any place on the disk of the 
puppet master. This could be used for a denial of service attach 
against the puppet master if an attacker fills a filesystem that can 
cause systems to stop working. In order to do this the attacker needs 
no access to the puppet master system, but does need access to agent 
SSL keys.
Comment 3 Vincent Danen 2012-04-16 12:26:09 EDT
This is public now.

External Reference:

http://puppetlabs.com/security/cve/cve-2012-1987/
Comment 4 Vincent Danen 2012-04-16 12:32:40 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 812955]
Affects: epel-all [bug 812956]
Comment 5 Murray McAllister 2012-04-19 01:08:42 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 6 Fedora Update System 2012-04-27 01:51:09 EDT
puppet-2.6.16-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-27 02:05:14 EDT
puppet-2.6.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-02 16:32:43 EDT
puppet-2.6.16-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-02 16:33:30 EDT
puppet-2.6.16-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-06 00:52:33 EDT
puppet-2.7.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Tomas Hoger 2012-07-04 03:23:08 EDT
(In reply to comment #0)
> CVE-2012-1987 (Moderate) [#13552,#13553]

http://projects.puppetlabs.com/issues/13552
http://projects.puppetlabs.com/issues/13553
Comment 12 errata-xmlrpc 2012-12-04 14:30:57 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html

Note You need to log in before you can comment on or make changes to this bug.